REBOL [
	Title: "REBOL Mezzanine Functions: Boot"
	Rights: "Copyright REBOL Technologies 1997-2002"
	; You are free to use, modify, and distribute this software with any
	; REBOL Technologies products as long as the above header, copyright,
	; and this comment remain intact. This software is provided "as is"
	; and without warranties of any kind. In no event shall the owners or
	; contributors be liable for any damages of any kind, even if advised
	; of the possibility of such damage. See license for more information.

	; Please help us to improve this software by contributing changes and
	; fixes via http://www.rebol.com/feedback.html - Thanks!
]

;unset-internal-words: does [
;	; unset all the nifty registry and environ. natives (sorry users)
;	; this unset call unsets all needed values from ALL the install components (win, unix, etc.)
;	unset [
;		get-env create-reg exists-reg? get-reg set-reg
;		list-reg delete-reg create-link set-browser-path
;		install-obj view-install brws cvers read-mac-config
;		write-mac-config set-link-root
;	]
;]

do-boot: func [
	"Does a value only if it and its file (URL) and it's dependent exists."
	target ; do not type
	args
	dependent
	/local check dir
][
	check: func[ target /local tmp ][
		if exists? target [ return make file! 1 ]
		if exists? system/options/home/:target [ return system/options/home ]
		none
	]
	if target [
		if dependent [ dir: check dependent ]
		if none? dir [ dir: check target ]
		if dir [
			dir: append copy dir target
			if exists? dir [ do/args dir args return true ]
		]
	]
	false
]
